<template>
  <picture>
    <source :srcset="webpSrcsetDesktop" media="(min-width: 768px)">
    <source :srcset="jpgSrcsetDesktop" media="(min-width: 768px)">
    <source
      :srcset="webpSrcsetMoble"
      media="(min-width: 320px) and (max-width: 767px)">
    <source
      :srcset="jpgSrcsetMobile"
      media="(min-width: 320px) and (max-width: 767px)">
    <img :src="jpgSrcsetMobile" :alt="name">
  </picture>
</template>

<script>
export default {
  name: 'ReponsivePicture',
  props: {
    name: {
      type: String,
      default: '',
    },
  },
  computed: {
    jpgSrcsetMobile() {
      return `/img/${this.name}-mobile.jpg`;
    },
    webpSrcsetMoble() {
      return `/img/${this.name}-mobile.webp`;
    },
    jpgSrcsetDesktop() {
      return `/img/${this.name}-desktop.jpg`;
    },
    webpSrcsetDesktop() {
      return `/img/${this.name}-desktop.webp`;
    },
  },
};
</script>
